A new user interface for you! Read more...

File farsight2.spec of Package test01

#
# spec file for package farsight2
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           farsight2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
%if 0%{?suse_version} > 1030
BuildRequires:  gstreamer-0_10-devel >= 0.10.20
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.20
%else
BuildRequires:  gstreamer010-devel >= 0.10.20
BuildRequires:  gstreamer010-plugins-base-devel >= 0.10.20
%endif
BuildRequires:  libgupnp-igd-devel
BuildRequires:  libnice-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  python-gstreamer-0_10-devel
BuildRequires:  python-xml
Version:        0.0.31
Release:        1
License:        LGPLv2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://farsight.freedesktop.org/
Group:          Productivity/Multimedia/Other
Summary:        Framework for Audio/Video Conferencing Protocols
Source:         http://farsight.freedesktop.org/releases/farsight2/%{name}-%{version}.tar.gz

%description
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package -n libgstfarsight-0_10-0
License:        LGPLv2.1
Summary:        Framework for Audio/Video Conferencing Protocols
Group:          System/Libraries
Requires:       %{name}-data
Requires:       gstreamer-0_10-plugins-bad
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n libgstfarsight-0_10-0
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package data
License:        LGPLv2.1
Summary:        Framework for Audio/Video Conferencing Protocols - Codec Preferences
Group:          System/Libraries
BuildArch:      noarch

%description data
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

This package contains data (codec preferences, element properties)
used by the library.

%package devel
License:        LGPLv2.1
Requires:       %{name} = %{version} pkgconfig glibc-devel glib2-devel
%if 0%{?suse_version} > 1030
Requires:       gstreamer-0_10-devel
%else
Requires:       gstreamer010-devel
%endif
Summary:        Framework for Audio/Video Conferencing Protocols
Group:          Development/Libraries/C and C++
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}

%description devel
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package -n python-farsight2
License:        LGPLv2.1
Summary:        Framework for Audio/Video Conferencing Protocols
Group:          Development/Libraries/Python
Requires:       libgstfarsight-0_10-0 = %{version}
%py_requires

%description -n python-farsight2
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%prep
%setup -q

%build
%configure\
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -delete -print
%fdupes $RPM_BUILD_ROOT

%post -n libgstfarsight-0_10-0 -p /sbin/ldconfig

%postun -n libgstfarsight-0_10-0 -p /sbin/ldconfig

%files -n libgstfarsight-0_10-0
%defattr(-,root,root)
# NEWS is empty
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*
%{_libdir}/farsight2-0.0
%{_libdir}/gstreamer-0.10

%files data
%defattr(-, root, root)
%dir %{_datadir}/farsight2/
%dir %{_datadir}/farsight2/0.0/
%dir %{_datadir}/farsight2/0.0/fsrtpconference/
%{_datadir}/farsight2/0.0/fsrtpconference/default-codec-preferences
%{_datadir}/farsight2/0.0/fsrtpconference/default-element-properties

%files devel
%defattr(-,root,root)
%{_includedir}/gstreamer-0.10
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/

%files -n python-farsight2
%defattr(-,root,root)
%{py_sitedir}/*

%changelog